Package org.freeplane.api

# Class Dependencies

java.lang.Object
org.freeplane.api.Dependencies

public class Dependencies extends Object
Contains dependencies (precedent or descendent node or attributes) calculated by `DependencyLookup`

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `Dependencies.Element`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Dependencies(List<Dependencies.Element> elements, List<Integer> attributes)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Integer>`
  `getAttributes()`
  Returns a list of related attribute indices
  `List<Dependencies.Element>`
  `getElements()`
  Returns a list of related `Dependencies.Element`s
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Dependencies

    public Dependencies(List<Dependencies.Element> elements, List<Integer> attributes)

- ## Method Details

  - ### getElements

    public List<Dependencies.Element> getElements()
    Returns a list of related `Dependencies.Element`s

  - ### getAttributes

    public List<Integer> getAttributes()
    Returns a list of related attribute indices

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`